diff -ur ircd-hybrid-6.0/include/config.h ircd-hybrid-6.0.patched/include/config.h
--- ircd-hybrid-6.0/include/config.h	Sat Feb  3 01:39:13 2001
+++ ircd-hybrid-6.0.patched/include/config.h	Sat Feb  3 01:53:26 2001
@@ -519,6 +519,12 @@
  */
 #define  CRYPT_LINK_PASSWORD
 
+/* CRYPT_I_PASSWORD - use crypted I-line passwords in the ircd.conf
+ * define this if you want to use crypted passwords for connecting users
+ * in your ircd.conf file.
+ */
+#define CRYPT_I_PASSWORD
+
 /* IDLE_FROM_MSG - Idle-time reset only from privmsg
  * Idle-time reset only from privmsg, if undefined idle-time
  * is reset from everything except ping/pong.
diff -ur ircd-hybrid-6.0/src/s_user.c ircd-hybrid-6.0.patched/src/s_user.c
--- ircd-hybrid-6.0/src/s_user.c	Sat Feb  3 01:39:14 2001
+++ ircd-hybrid-6.0.patched/src/s_user.c	Sat Feb  3 01:52:04 2001
@@ -689,7 +689,12 @@
         }
 
       /* password check */
+
+#ifdef CRYPT_I_PASSWORD
+      if (!BadPtr(aconf->passwd) && 0 != strcmp((const char *)libshadow_md5_crypt(sptr->passwd, aconf->passwd), aconf->passwd))
+#else
       if (!BadPtr(aconf->passwd) && 0 != strcmp(sptr->passwd, aconf->passwd))
+#endif
         {
           ServerStats->is_ref++;
           sendto_one(sptr, form_str(ERR_PASSWDMISMATCH),
